### Method

# Vte Terminal ref_termprop_uri_by_id

since: 0.78

#### Declaration [src]

    GUri*
    vte_terminal_ref_termprop_uri_by_id (
      VteTerminal* terminal,
      int prop
    )

#### Description [src]

Like `vte_terminal_ref_termprop_uri()` except that it takes the termprop by ID. See that function for more information.

Available since: 0.78

#### Parameters

`prop`

  Type: `int`

  A termprop ID.

#### Return value

Type: `GUri`

The property’s value as a `GUri`, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.